<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario de ejecución  
@cu CU-CO-V-01

-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" width="100%"
             id="generalidadesPropiedadHorizontalPanelGrid">

    <p:messages id="msgGeneralidadesPH" showDetail="false"
                globalOnly="false" />

    <p:dataTable var="fichaMatrizTorre"
                 emptyMessage="No existen generalidades almacenadas"
                 value="#{managedBeanParam.fichaMatriz.PFichaMatrizTorres}"
                 id="torresTable" rowKey="#{fichaMatrizTorre.id}" paginator="true"
                 rows="5" paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                 selection="#{managedBeanParam.fichaMatrizTorreSeleccionada}"
                 selectionMode="single">

        <p:column>
            <f:facet name="header">Acciones</f:facet>
            <p:commandButton title="Eliminar" icon="ui-icon-trash"
                             oncomplete="confirmaEliminarTorreWV.show();" process="@this">
                <f:setPropertyActionListener
                    target="#{managedBeanParam.fichaMatrizTorreSeleccionada}"
                    value="#{fichaMatrizTorre}" />
            </p:commandButton>
            <p:commandButton title="Editar" icon="ui-icon-pencil"
                             action="#{managedBeanParam.setupTorreReplica}" update=":datosTorreForm"
                             oncomplete="datosTorreWV.show()" process="@this"
                             >
                <f:setPropertyActionListener
                    target="#{managedBeanParam.fichaMatrizTorreSeleccionada}"
                    value="#{fichaMatrizTorre}" />
            </p:commandButton>
            <p:commandButton icon="ui-icon-arrow-4-diag" process="@this"
                             title="Multiplicar torre"
                             update=":multiplicarTorreForm:multiplicarTorrePanelGrid"
                             oncomplete="multiplicarTorreWV.show()"
                             action="#{managedBeanParam.setupMultiplicarFichaMatrizTorre}">
                <f:setPropertyActionListener
                    target="#{managedBeanParam.fichaMatrizTorreSeleccionada}"
                    value="#{fichaMatrizTorre}" />
            </p:commandButton>
        </p:column>

        <p:column>
            <f:facet name="header">Torre No.</f:facet>
            <h:outputText value="#{fichaMatrizTorre.torre}" />
        </p:column>

        <p:column>
            <f:facet name="header">Total pisos torre</f:facet>
            <h:outputText value="#{fichaMatrizTorre.pisos}" />
        </p:column>

        <p:column>
            <f:facet name="header">Total unidades privadas</f:facet>
            <h:outputText value="#{fichaMatrizTorre.unidades}" />
        </p:column>

        <p:column>
            <f:facet name="header">Total sótanos</f:facet>
            <h:outputText value="#{fichaMatrizTorre.sotanos}" />
        </p:column>

        <p:column>
            <f:facet name="header">Total unidades de sótano</f:facet>
            <h:outputText value="#{fichaMatrizTorre.unidadesSotanos}" />
        </p:column>
    </p:dataTable>

    <h:panelGrid columns="5" columnClasses="alinearVertical"
                 cellspacing="10">
        <h:outputLabel value="Total torres:" styleClass="outputLabelStyle" />
        <h:outputText value="#{managedBeanParam.fichaMatriz.totalTorres}" />

        <p:spacer width="20" />
        <h:outputLabel value="Avalúo total:" styleClass="outputLabelStyle" />
        <h:outputText
            value="#{managedBeanParam.fichaMatriz.valorTotalAvaluoCatastral}">
            <f:convertNumber type="number" />

        </h:outputText>

        <h:outputLabel value="Total unidades privadas:"
                       styleClass="outputLabelStyle" />
        <h:outputText
            value="#{managedBeanParam.fichaMatriz.totalUnidadesPrivadas}" />

        <p:spacer width="20" />
        <h:outputLabel value="Total unidades de sótano:"
                       styleClass="outputLabelStyle" />
        <h:outputText
            value="#{managedBeanParam.fichaMatriz.totalUnidadesSotanos}" />

    </h:panelGrid>

    <h:panelGrid columns="2">
        <p:commandButton value="Adicionar" title="Adicionar torre"
                         icon="ui-icon-plus" update=":datosTorreForm"
                         action="#{managedBeanParam.setupAdicionarFichaMatrizTorre}"
                         oncomplete="datosTorreWV.show()" process="@this"
                         />
    </h:panelGrid>
</h:panelGrid>